function deleteData(data) {
    const landId = data.landId;
    const userRole = data.role;

    var form = document.getElementById("delete-form");

    if (userRole === "admin") {
        form.action = "/data-lahan/" + landId;
    } else {
        form.action = "/data-lahan-petugas/" + landId;
    }
}

var checkAll = document.getElementById("checkAll");
checkAll &&
    (checkAll.onclick = function () {
        for (
            var e = document.querySelectorAll(
                    '.form-check-all input[type="checkbox"]'
                ),
                t = 0;
            t < e.length;
            t++
        )
            (e[t].checked = this.checked),
                e[t].checked
                    ? e[t].closest("tr").classList.add("table-active")
                    : e[t].closest("tr").classList.remove("table-active");
    });
var perPage = 10,
    options = {
        valueNames: ["id", "land_name", "owner", "rental_price", "status"],
        page: perPage,
        pagination: !0,
        plugins: [ListPagination({ left: 2, right: 2 })],
    },
    customerList = new List("customerList", options).on(
        "updated",
        function (e) {
            0 == e.matchingItems.length
                ? (document.getElementsByClassName(
                      "noresult"
                  )[0].style.display = "block")
                : (document.getElementsByClassName(
                      "noresult"
                  )[0].style.display = "none");
            var t = 1 == e.i,
                a = e.i > e.matchingItems.length - e.page;
            document.querySelector(".pagination-prev.disabled") &&
                document
                    .querySelector(".pagination-prev.disabled")
                    .classList.remove("disabled"),
                document.querySelector(".pagination-next.disabled") &&
                    document
                        .querySelector(".pagination-next.disabled")
                        .classList.remove("disabled"),
                t &&
                    document
                        .querySelector(".pagination-prev")
                        .classList.add("disabled"),
                a &&
                    document
                        .querySelector(".pagination-next")
                        .classList.add("disabled"),
                e.matchingItems.length <= perPage
                    ? (document.querySelector(
                          ".pagination-wrap"
                      ).style.display = "none")
                    : (document.querySelector(
                          ".pagination-wrap"
                      ).style.display = "flex"),
                e.matchingItems.length == perPage &&
                    document
                        .querySelector(".pagination.listjs-pagination")
                        .firstElementChild.children[0].click(),
                0 < e.matchingItems.length
                    ? (document.getElementsByClassName(
                          "noresult"
                      )[0].style.display = "none")
                    : (document.getElementsByClassName(
                          "noresult"
                      )[0].style.display = "block");
        }
    );
isCount = new DOMParser().parseFromString(
    customerList.items.slice(-1)[0]._values.id,
    "text/html"
);
var isValue = isCount.body.firstElementChild.innerHTML,
    idField = document.getElementById("id-field"),
    customerNameField = document.getElementById("customername-field"),
    emailField = document.getElementById("email-field"),
    dateField = document.getElementById("date-field"),
    phoneField = document.getElementById("phone-field"),
    statusField = document.getElementById("status-field"),
    addBtn = document.getElementById("add-btn"),
    editBtn = document.getElementById("edit-btn"),
    removeBtns = document.getElementsByClassName("remove-item-btn"),
    editBtns = document.getElementsByClassName("edit-item-btn");
function filterContact(e) {
    var t = e;
    customerList.filter(function (e) {
        matchData = new DOMParser().parseFromString(
            e.values().status,
            "text/html"
        );
        e = matchData.body.firstElementChild.innerHTML;
        return "All" == e || "All" == t || e == t;
    }),
        customerList.update();
}
function updateList() {
    var a = document.querySelector("input[name=status]:checked").value;
    (data = userList.filter(function (e) {
        var t = !1;
        return (
            "All" == a
                ? (t = !0)
                : ((t = e.values().sts == a), console.log(t, "statusFilter")),
            t
        );
    })),
        userList.update();
}
filterContact("All"), ischeckboxcheck(), document.getElementById("showModal");
document.querySelector("#customerList").addEventListener("click", function () {
    ischeckboxcheck();
});
var table = document.getElementById("customerTable"),
    tr = table.getElementsByTagName("tr"),
    trlist = table.querySelectorAll(".list tr"),
    count = Number(isValue.replace(/[^0-9]/g, "")) + 1;
// addBtn.addEventListener("click", function (e) {
//     "" !== customerNameField.value &&
//         "" !== emailField.value &&
//         "" !== dateField.value &&
//         "" !== phoneField.value &&
//         (customerList.add({
//             id:
//                 '<a href="javascript:void(0);" class="fw-medium link-primary">#VZ' +
//                 count +
//                 "</a>",
//             customer_name: customerNameField.value,
//             email: emailField.value,
//             date: dateField.value,
//             phone: phoneField.value,
//             status: isStatus(statusField.value),
//         }),
//         document.getElementById("close-modal").click(),
//         clearFields(),
//         filterContact("All"),
//         count++);
// }),
// editBtn.addEventListener("click", function (e) {
//     (document.getElementById("exampleModalLabel").innerHTML = "Edit Customer"),
//         customerList.get({ id: idField.value }).forEach(function (e) {
//             (isid = new DOMParser().parseFromString(e._values.id, "text/html")),
//                 isid.body.firstElementChild.innerHTML == itemId &&
//                     e.values({
//                         id:
//                             '<a href="javascript:void(0);" class="fw-medium link-primary">' +
//                             idField.value +
//                             "</a>",
//                         customer_name: customerNameField.value,
//                         email: emailField.value,
//                         date: dateField.value,
//                         phone: phoneField.value,
//                         status: isStatus(statusField.value),
//                     });
//         }),
//         document.getElementById("close-modal").click(),
//         clearFields();
// });
function isStatus(e) {
    switch (e) {
        case "Active":
            return (
                '<span class="badge badge-soft-success text-uppercase">' +
                e +
                "</span>"
            );
        case "Block":
            return (
                '<span class="badge badge-soft-danger text-uppercase">' +
                e +
                "</span>"
            );
    }
}
function ischeckboxcheck() {
    document.getElementsByName("checkAll").forEach(function (e) {
        e.addEventListener("click", function (e) {
            e.target.checked
                ? e.target.closest("tr").classList.add("table-active")
                : e.target.closest("tr").classList.remove("table-active");
        });
    });
}
// function refreshCallbacks() {
//     removeBtns.forEach(function (e) {
//         e.addEventListener("click", function (e) {
//             e.target.closest("tr").children[1].innerText,
//                 (itemId = e.target.closest("tr").children[1].innerText),
//                 customerList.get({ id: itemId }).forEach(function (e) {
//                     deleteid = new DOMParser().parseFromString(
//                         e._values.id,
//                         "text/html"
//                     );
//                     var t = deleteid.body.firstElementChild;
//                     deleteid.body.firstElementChild.innerHTML == itemId &&
//                         document
//                             .getElementById("delete-record")
//                             .addEventListener("click", function () {
//                                 customerList.remove("id", t.outerHTML),
//                                     document
//                                         .getElementById("deleteRecordModal")
//                                         .click();
//                             });
//                 });
//         });
//     });
//     // editBtns.forEach(function (e) {
//     //     e.addEventListener("click", function (e) {
//     //         e.target.closest("tr").children[1].innerText,
//     //             (itemId = e.target.closest("tr").children[1].innerText),
//     //             customerList.get({ id: itemId }).forEach(function (e) {
//     //                 isid = new DOMParser().parseFromString(
//     //                     e._values.id,
//     //                     "text/html"
//     //                 );
//     //                 var t = isid.body.firstElementChild.innerHTML;
//     //                 t == itemId &&
//     //                     ((idField.value = t),
//     //                     (customerNameField.value = e._values.customer_name),
//     //                     (emailField.value = e._values.email),
//     //                     (dateField.value = e._values.date),
//     //                     (phoneField.value = e._values.phone),
//     //                     statusVal && statusVal.destroy(),
//     //                     (statusVal = new Choices(statusField)),
//     //                     (val = new DOMParser().parseFromString(
//     //                         e._values.status,
//     //                         "text/html"
//     //                     )),
//     //                     (t = val.body.firstElementChild.innerHTML),
//     //                     statusVal.setChoiceByValue(t),
//     //                     flatpickr("#date-field", {
//     //                         dateFormat: "d M, Y",
//     //                         defaultDate: e._values.date,
//     //                     }));
//     //             });
//     //     });
//     // });
// }
function clearFields() {
    var ownerField = form.querySelector("#owner-field");
    var noHpField = form.querySelector("#nohp-field");
    var rentalPriceField = form.querySelector("#rentalprice-field");
    var rentalStartField = form.querySelector("#rentalstart-field");
    var rentalEndField = form.querySelector("#rentaluntil-field");
    var landNameField = form.querySelector("#landname-field");
    var addressField = form.querySelector("#address-field");

    (ownerField.value = ""),
        (noHpField.value = ""),
        (rentalPriceField.value = ""),
        (rentalStartField.value = ""),
        (rentalEndField.value = ""),
        (landNameField.value = ""),
        (addressField.value = "");

    provinceVal.setChoices([
        {
            value: "",
            label: "Pilih Provinsi",
            selected: true,
            disabled: true,
        },
    ]);

    regencyVal.clearStore();
    districtVal.clearStore();
    latField.value = "";
    lngField.value = "";

    regencyContainer.style.display = "none";
    districtContainer.style.display = "none";
    addressContainer.style.display = "none";
    mapContainer.style.display = "none";
    btnContainer.style.display = "none";
}
document
    .querySelector(".pagination-next")
    .addEventListener("click", function () {
        !document.querySelector(".pagination.listjs-pagination") ||
            (document
                .querySelector(".pagination.listjs-pagination")
                .querySelector(".active") &&
                document
                    .querySelector(".pagination.listjs-pagination")
                    .querySelector(".active")
                    .nextElementSibling.children[0].click());
    }),
    document
        .querySelector(".pagination-prev")
        .addEventListener("click", function () {
            !document.querySelector(".pagination.listjs-pagination") ||
                (document
                    .querySelector(".pagination.listjs-pagination")
                    .querySelector(".active") &&
                    document
                        .querySelector(".pagination.listjs-pagination")
                        .querySelector(".active")
                        .previousSibling.children[0].click());
        });
